<!DOCTYPE html>
<html>
<meta charset="utf-8">
<head>

</head>
<title>Ejercicio 1</title>
<script type="application/javascript">
var a = "Lunes,Martes,Miercoles,Jueves,Viernes,Sabado,Domingo";
var b = "Madrid.Sevilla.Barcelona.Valencia.Zaragoza.Bilbao.Donosti";
a = a.split(",");
b = b.split(".");

var c = [[a[0],b[0]],[a[1],b[1]],[a[2],b[2]],[a[3],b[3]],[a[4],b[4]],[a[5],b[5]],[a[6],b[6]]];
    console.log (c);
</script>
<body>

</body> 
</html>